Package jnr.constants.platform.linux.aarch64

# Enum Confstr

java.lang.Object
java.lang.Enum<Confstr>
jnr.constants.platform.linux.aarch64.Confstr

All Implemented Interfaces:
  `Serializable`, `Comparable<Confstr>`, `java.lang.constant.Constable`, `Constant`

public enum Confstr extends Enum<Confstr> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`_CS_GNU_LIBC_VERSION`
`_CS_GNU_LIBPTHREAD_VERSION`
`_CS_PATH`
`_CS_POSIX_V6_ILP32_OFF32_CFLAGS`
`_CS_POSIX_V6_ILP32_OFF32_LDFLAGS`
`_CS_POSIX_V6_ILP32_OFF32_LIBS`
`_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS`
`_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS`
`_CS_POSIX_V6_ILP32_OFFBIG_LIBS`
`_CS_POSIX_V6_LP64_OFF64_CFLAGS`
`_CS_POSIX_V6_LP64_OFF64_LDFLAGS`
`_CS_POSIX_V6_LP64_OFF64_LIBS`
`_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS`
`_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS`
`_CS_POSIX_V6_LPBIG_OFFBIG_LIBS`
`_CS_POSIX_V6_WIDTH_RESTRICTED_ENVS`
`_CS_POSIX_V7_ILP32_OFF32_CFLAGS`
`_CS_POSIX_V7_ILP32_OFF32_LDFLAGS`
`_CS_POSIX_V7_ILP32_OFF32_LIBS`
`_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS`
`_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS`
`_CS_POSIX_V7_ILP32_OFFBIG_LIBS`
`_CS_POSIX_V7_LP64_OFF64_CFLAGS`
`_CS_POSIX_V7_LP64_OFF64_LDFLAGS`
`_CS_POSIX_V7_LP64_OFF64_LIBS`
`_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS`
`_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS`
`_CS_POSIX_V7_LPBIG_OFFBIG_LIBS`
`_CS_POSIX_V7_WIDTH_RESTRICTED_ENVS`
`_CS_V6_ENV`
`_CS_V7_ENV`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static Confstr`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Confstr[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### _CS_PATH

public static final Confstr _CS_PATH

### _CS_POSIX_V7_ILP32_OFF32_CFLAGS

public static final Confstr _CS_POSIX_V7_ILP32_OFF32_CFLAGS

### _CS_POSIX_V7_ILP32_OFF32_LDFLAGS

public static final Confstr _CS_POSIX_V7_ILP32_OFF32_LDFLAGS

### _CS_POSIX_V7_ILP32_OFF32_LIBS

public static final Confstr _CS_POSIX_V7_ILP32_OFF32_LIBS

### _CS_POSIX_V7_ILP32_OFFBIG_CFLAGS

public static final Confstr _CS_POSIX_V7_ILP32_OFFBIG_CFLAGS

### _CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS

public static final Confstr _CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS

### _CS_POSIX_V7_ILP32_OFFBIG_LIBS

public static final Confstr _CS_POSIX_V7_ILP32_OFFBIG_LIBS

### _CS_POSIX_V7_LP64_OFF64_CFLAGS

public static final Confstr _CS_POSIX_V7_LP64_OFF64_CFLAGS

### _CS_POSIX_V7_LP64_OFF64_LDFLAGS

public static final Confstr _CS_POSIX_V7_LP64_OFF64_LDFLAGS

### _CS_POSIX_V7_LP64_OFF64_LIBS

public static final Confstr _CS_POSIX_V7_LP64_OFF64_LIBS

### _CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS

public static final Confstr _CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS

### _CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS

public static final Confstr _CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS

### _CS_POSIX_V7_LPBIG_OFFBIG_LIBS

public static final Confstr _CS_POSIX_V7_LPBIG_OFFBIG_LIBS

### _CS_POSIX_V7_WIDTH_RESTRICTED_ENVS

public static final Confstr _CS_POSIX_V7_WIDTH_RESTRICTED_ENVS

### _CS_V7_ENV

public static final Confstr _CS_V7_ENV

### _CS_POSIX_V6_ILP32_OFF32_CFLAGS

public static final Confstr _CS_POSIX_V6_ILP32_OFF32_CFLAGS

### _CS_POSIX_V6_ILP32_OFF32_LDFLAGS

public static final Confstr _CS_POSIX_V6_ILP32_OFF32_LDFLAGS

### _CS_POSIX_V6_ILP32_OFF32_LIBS

public static final Confstr _CS_POSIX_V6_ILP32_OFF32_LIBS

### _CS_POSIX_V6_ILP32_OFFBIG_CFLAGS

public static final Confstr _CS_POSIX_V6_ILP32_OFFBIG_CFLAGS

### _CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS

public static final Confstr _CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS

### _CS_POSIX_V6_ILP32_OFFBIG_LIBS

public static final Confstr _CS_POSIX_V6_ILP32_OFFBIG_LIBS

### _CS_POSIX_V6_LP64_OFF64_CFLAGS

public static final Confstr _CS_POSIX_V6_LP64_OFF64_CFLAGS

### _CS_POSIX_V6_LP64_OFF64_LDFLAGS

public static final Confstr _CS_POSIX_V6_LP64_OFF64_LDFLAGS

### _CS_POSIX_V6_LP64_OFF64_LIBS

public static final Confstr _CS_POSIX_V6_LP64_OFF64_LIBS

### _CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS

public static final Confstr _CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS

### _CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS

public static final Confstr _CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS

### _CS_POSIX_V6_LPBIG_OFFBIG_LIBS

public static final Confstr _CS_POSIX_V6_LPBIG_OFFBIG_LIBS

### _CS_POSIX_V6_WIDTH_RESTRICTED_ENVS

public static final Confstr _CS_POSIX_V6_WIDTH_RESTRICTED_ENVS

### _CS_V6_ENV

public static final Confstr _CS_V6_ENV

### _CS_GNU_LIBC_VERSION

public static final Confstr _CS_GNU_LIBC_VERSION

### _CS_GNU_LIBPTHREAD_VERSION

public static final Confstr _CS_GNU_LIBPTHREAD_VERSION

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static Confstr[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Confstr valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<Confstr>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`